REFURB(1)

NAME
refurb — A tool for refurbishing and modernizing Python codebases

SYNOPSIS

refurb [-h] [-v] [--debug] [--quiet] [--ignore ERR] [--load MODULE] [SRC ...]

DESCRIPTION

This manual page documents briefly the refurb command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

refurb is atool for refurbishing and modernizing Python codebases.

OPTIONS

This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h           --help
    Show help message and exit.

-v           --version
    Print version information.

--debug
    Print the AST representation of all files that where checked.

--quiet
    Suppress default "--explain" suggestion when an error occurs.

--ignore ERR
    Ignore an error. Can be repeated.

--load MODULE
    Add a module to the list of paths to be searched when looking for checks. Can be repeated.

ARGUMENTS

SRC A file or folder.

AUTHOR

This manual page was written by fladi fladi@debian.org for the Debian system (and may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.